# The "LoadAndDecimate" Widget

This widget provides an interactive control over loading and decimating datafiles containing 3-dimensional data.

Library: karmawidgets
Link With: -lkarmawidgets

#### Tables

LoadAndDecimate_ResourceNames | List of resource names for LoadAndDecimate widget
LoadAndDecimate_Resources | List of resources for LoadAndDecimate widget

#### Functions

XkwLoadAndDecimateGetCube | Get a cube.

## Tables

LoadAndDecimate_ResourceNames List of resource names for LoadAndDecimate widget

Name | Purpose
XkwNverbose | If TRUE verbose messages are displayed

LoadAndDecimate_Resources List of resources for LoadAndDecimate widget

Name | Class | Rep. Type | Default
XkwNverbose | XkwCVerbose | XtRBool | False

## Functions

#### EXPERIMENTAL FUNCTION: subject to change without notice

void XkwLoadAndDecimateGetCube (Widget W, CONST char *filename, CONST char *domain_name)

Get a cube.

Parameters:

- W : The LoadAndDecimate widget.
- filename : The name of the file to load.
- domain_name : The domain name of the file.

Returns: Nothing.
Multithreading Level: Unsafe

Back to Karma Home Page